This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501204 - publican needs to override more rpm dir macros
publican needs to override more rpm dir macros
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-17 21:06 EDT by Jens Petersen
Modified: 2010-11-23 23:18 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.2-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-17 21:06:36 EDT
Description of problem:
If one has an ~/.rpmmacros file that overrides where rpm looks for source files etc, then publican breaks.

Steps to Reproduce:
$ cat > ~/.rpmmacros <<EOF
%__pwd %(echo $PWD)
%_builddir %__pwd
%_rpmdir %__pwd
%_sourcedir %__pwd
%_specdir %__pwd
%_srcrpmdir %__pwd
EOF
$ cd mybook
$ make srpm-en_US   # or web-srpm-en-US,) etc
  
Actual results:
START: web-srpm-en-US: Mon May 18 10:51:14 EST 2009
rpmbuild --define "_topdir /home/petersen/tmp/rhel-ig/tmp/rpm" --define "dist .fc10" -bs tmp/rpm/SPECS/Red_Hat_Enterprise_Linux-Installation_Guide-en-US.spec
error: File /home/petersen/tmp/rhel-ig/Red_Hat_Enterprise_Linux-Installation_Guide-5-3.1-en-US.tgz: No such file or directory
make: *** [web-srpm-en-US] Error 1

Expected results:
publican needs to override %_srcrpmdir, %_rpmdir, %_sourcedir, and probably %_specdir
so that it always uses tmp/rpm even if .rpmmacros exists.
Comment 1 Jens Petersen 2009-05-22 00:37:18 EDT
This also applies to building publican itself (eg make rpm).
Comment 2 Bug Zapper 2009-06-09 12:00:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michael Hideo 2009-06-16 22:19:12 EDT
Adding to my Feature list for additional analysis post docs.redhat.com rebase.
Comment 4 Jeff Fearn 2009-08-10 19:27:42 EDT
This should be fixed in the BETA.
Comment 5 Ruediger Landmann 2009-09-08 20:25:20 EDT
Fixed in 1.0 

With ~/.rpmmacros set to contain the same as in the original report:

$ publican package --lang=en-US
...
$ Wrote: /home/rlandmann/Documents/beta/Testbook1/tmp/rpm/Documentation-Testbook1-0.1-web-en-US-0-0.el5.src.rpm
Comment 6 Fedora Update System 2009-11-17 21:18:29 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 7 Fedora Update System 2009-11-20 00:17:31 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-11-25 09:52:39 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.